GETSID(2)

NAME
getsid - get session ID

SYNOPSIS
#include <unistd.h>

pid_t getsid(pid_t pid);

DESCRIPTION
getsid(0) returns the session ID of the calling process. getsid(p) returns the session ID of the process with process ID p.

ERRORS
On error, -1 will be returned. The only error which can happen is ESRCH, when no process with process ID p was found.

CONFORMING TO
SVr4, which documents an additional EPERM error condition.

SEE ALSO
setsid(2)